#include <iostream>
#include <string>
using namespace std;

int main()
{
	string iznos;
	cin >> iznos;

	int broj_novcanica = 0;
	for (int i = 0; i < iznos.length(); i++)
	{
		char cifra = iznos[i];
		// if (cifra == '0') br += 0;
		if (cifra == '1' || cifra == '2' || cifra == '5')
			broj_novcanica++;
		if (cifra == '3' || cifra == '4' || cifra == '6' || cifra == '7')
			broj_novcanica += 2;
		if (cifra == '8' || cifra == '9')
			broj_novcanica += 3;
	}

	cout << broj_novcanica;
	return 0;
}